#include<stdio.h>
#include<math.h>
main()
{
int p,q,r;
unsigned long long int R,L,k=0;
scanf("%d%d%d%llu%llu",&p,&q,&r,&L,&R);
while(L<=R)
{
if((ceil((float)L/p)+ceil((float)L/q)+ceil((float)L/r))<=L)
k++;
L++;
}
printf("%llu",k);
}